%define upstream_name    File-DirCompare
%define upstream_version 0.7

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Perl module to compare two directories using
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Compare)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildArch: noarch

%{?perl_default_filter}

%description
File::DirCompare is a perl module to compare two directories using a
callback, invoked for all files that are 'different' between the two
directories, and for any files that exist only in one or other directory
('unique' files).

File::DirCompare has a single public compare() method, with the following
signature:

  File::DirCompare->compare($dir1, $dir2, $sub, $opts);

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc TODO README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.700.0-11.mga9
+ Revision: 1803622
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.700.0-10.mga8
+ Revision: 1494478
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.700.0-9.mga7
+ Revision: 1267928
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.700.0-8.mga6
+ Revision: 1027293
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.700.0-7.mga6
+ Revision: 943492
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-6.mga5
+ Revision: 742062
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.700.0-5.mga5
+ Revision: 732134
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-4.mga5
+ Revision: 684717
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.700.0-3.mga4
+ Revision: 511557
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 367166
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.700.0-1.mga3
+ Revision: 304344
- imported package perl-File-DirCompare


* Wed Oct 10 2012 cpan2dist 0.7-1mga
- initial mageia release, generated with cpan2dist
